import getEnv from "./getEnv";

const createMediaUrl = (fileName: string) => {
    const mediaUrl = getEnv().MEDIA_URL;

    if (!mediaUrl) {
        throw new Error("MEDIA_URL environment variable is undefined..");
    }

    return `${mediaUrl}/${fileName}`;
};

export default createMediaUrl;
