const formatDate = (
    date: string,
    locale: string,
    options?: {
        noTime: boolean;
    }
) => {
    let dateObject = new Date(date);

    if (options?.noTime) {
        dateObject = new Date(dateObject.getFullYear(), dateObject.getMonth(), dateObject.getDate());
    }

    return dateObject.toLocaleString(locale);
};

export default formatDate;
