import getTranslationConfig from "./i18n";

const getPageAndGlobalTranslations = (locale, page) => {
    const localeConfig = getTranslationConfig()?.[locale] ?? {};

    const i18n = localeConfig?.[page] ?? {};

    return {
        ...i18n,
        global: localeConfig?.global ?? {}
    };
};

export default getPageAndGlobalTranslations;
